----------------------------------------------------------------------------------------------------------------
-- Default Key Combo Bindings
-- (c) 2004 Relic Entertainment Inc.

-- These combos should NOT be changed by the user.
-- They are here in case the user screws up the key bindings file in Root/KeyBindings/

-- Bindings use format "Control+Shift+A"

-- Valid keys
	--  a - Z   0 - 9
	-- Backspace Tab Enter Escape Space Apostrophe Comma Minus Period Slash Semicolon Equal LBracket Backslash RBracket Grave 
	-- Up Down Left Right Control Shift Alt CapsLock NumLock ScrollLock Insert Delete Home End PageUp PageDown F1 F2 F3 F4 F5 F6 F7 F8 F9 F10 F11 F12 PrintScreen Pause 
	-- MouseLeft MouseRight MouseMiddle MouseTop MouseBottom 
	-- ScreenLeft ScreenRight ScreenTop ScreenBottom 
	-- Numpad0 Numpad1 Numpad2 Numpad3 Numpad4 Numpad5 Numpad6 Numpad7 Numpad8 Numpad9 NumpadMultiply NumpadPlus NumpadSeparator NumpadMinus NumpadPeriod NumpadSlash 
	
bindings_version = 14.2

bindings =
{
	----------------------------------------------------------------------------------------------------------------
	-- SYSTEM COMMANDS
	----------------------------------------------------------------------------------------------------------------
	escape						= "Escape",
	accept						= "Enter",
	commandqueue		= "Shift",
	systemmenu			= "F10",
	objectivesmenu		= "F11",
	alliesmenu				= "F12",
	chatmenu				= "Enter",
	chathistory				= "Shift+H",
	pause						= "Pause",
	selectionfocus          = "Apostrophe",
	
	----------------------------------------------------------------------------------------------------------------
	-- TASKBAR COMMANDS
	----------------------------------------------------------------------------------------------------------------
	stop 						= "Q",
	move 						= "V",
	attackmove					= "A",
	attackmelee					= "Z",
	build						= "B",
	buildadv					= "",
	attach						= "T",
	attackground					= "G",
	jump						= "J",
	rally						= "Y",
	combatstance					= "Control+F5",
	meleestance					= "Control+F6",
	scuttle						= "Delete",
	infiltrate					= "I",
	unload						= "N",
	deepstrike					= "E",
	reinforce					= "R",
	leader						= "L",
	cancelconstruction 				= "Delete",
	rampage						= "R",
	repair						= "E",
	possess						= "S",
	relocate					= "L",
	cannibalism					= "C",
	possess_enemy					= "P",
	fear						= "F",
	tau_snare_trap					= "N",
	necron_solar_pulse				= "P",
	tau_holographic_projection			= "H",
	direct_spawn					= "S",	
	necron_stasis_field				= "F",
	entrench					= "E",
	burrow						= "B",
	lightning_field					= "L",
	direct_spawn_rally				= "R",
	melee_dance					= "D",
	harvest						= "H",
	
	----------------------------------------------------------------------------------------------------------------
	-- ADVANCED TASKBAR COMMANDS
	----------------------------------------------------------------------------------------------------------------
	hq_cycle					= "Home",
	military_cycle					= "Comma",
	builder_cycle					= "Period",
	research_cycle					= "Control+R",
	cycle_event_cue					= "Space",
	stance_hold					= "F1",
	stance_stand_ground				= "F2",
	stance_burn					= "F3",
	stance_cease_fire				= "F4",
	stance_attack					= "F5",
	melee_stance_assault				= "F6",
	melee_stance_ranged				= "F7",
	toggle_taskbar					= "Control+H",
	minimap_ping					= "Control+P",
	minimap_ping_toggle				= "Control+E",
	toggle_overwatch				= "Control+O",
	cancel_overwatch				= "Control+K",
	
	----------------------------------------------------------------------------------------------------------------
	-- MULTIPLE SELECTION HOTKEYS
	----------------------------------------------------------------------------------------------------------------
	focus_primary_selection 	= "Control+Tab",
	next_primary_selection  	= "Tab",
	prev_primary_selection  	= "Shift+Tab",
	remove_selection_modifier  	= "Control",		-- checked with mouse click (removes clicked items from selection) -- note: must only be one key
	crop_selection_modifier  	= "Shift",		-- checked with mouse click (selects all units of the same type) -- note: must only be one key
		
	----------------------------------------------------------------------------------------------------------------
	-- DATA CONTEXT HOTKEYS
	----------------------------------------------------------------------------------------------------------------
	
	-- BUILDINGS FOR MARINES
	marine_hq					= 	"S",
	marine_artefact					=	"A",
	marine_armoury					= 	"R",
	marine_chapel					=	"C",
	marine_generator				= 	"P",
	marine_listening_post				=	"L",
	marine_orbital_relay				= 	"O",
	marine_temp_drop_building			=	"D",
	marine_thermo_generator				= 	"T",
	marine_bolter_turret				=	"H",
	marine_machine_cult				=	"M",
	marine_mine_field				=	"I",

	-- BUILDINGS FOR CHAOS 
	chaos_hq					=	"D",
	chaos_sacrificial_circle			=	"S",
	chaos_armoury					=	"R",
	chaos_temple					=	"E",
	chaos_generator					=	"P",
	chaos_listening_post				=	"L",
	chaos_greater_circle				=	"G",
	chaos_thermo_generator				=	"T",
	chaos_bolter_turret				=	"H",
	chaos_machine_pit				=	"M",
	chaos_mine_field				=	"I",

	-- BUILDINGS FOR ORKS
	ork_hq						=	"S",
	ork_waagh_banner				=	"W",
	ork_pile_o_guns					=	"P",
	ork_boy_hut					=	"D",
	ork_generator					=	"G",
	ork_listening_post				=	"L",
	ork_big_generator				=	"B",
	ork_mek_shop					=	"M",
	ork_mine_field					=	"I",

	-- BUILDINGS FOR ELDAR
	eldar_hq					=	"Y",
	eldar_aspect_portal				=	"A",
	eldar_soul_shrine				=	"R",
	eldar_webway_gate				=	"W",
	eldar_generator					=	"P",
	eldar_listening_post				=	"L",
	eldar_advanced_generator			=	"T",
	eldar_support_platform				=	"F",
	eldar_support_portal				=	"S",
	eldar_mine_field				=	"I",

	-- BUILDINGS FOR TAU
	tau_barracks					=	"B",
	tau_hq						=	"C",
	tau_kroot_nest					=	"N",
	tau_listening_post				=	"L",
	tau_plasma_generator				=	"P",
	tau_research_building				=	"E",
	tau_shrine_of_kauyon				=	"K",
	tau_shrine_of_montka				=	"M",
	tau_shrine_of_purpose				=	"S",
	tau_thermo_generator				= 	"T",
	tau_vehicle_building				= 	"V",

	-- BUILDINGS FOR NECRONS
	necron_energy_core				=	"E",
	necron_forbidden_archive			=	"F",
	necron_greater_summoning_core			=       "G",
	necron_listening_post				=	"L",
	necron_monolith					=	"M",
	necron_plasma_generator				=	"P",
	necron_summoning_core				=	"S",
	necron_thermo_generator				=       "T",
	necron_turret					=	"U",
	
    	-- BUILDINGS FOR IMPERIAL GUARD
	guard_hq						= "H",
	guard_tactica						= "T",
	guard_infantry						= "I",
	guard_generator					 	= "P",
	guard_listening_post					= "L",
	guard_mars_command					= "C",
	guard_thermo_generator					= "G",
	guard_bolter_turret					= "U",
	guard_mechanized_command 				= "M",
	guard_mine_field 					= "F",
	
	-- BUILDINGS FOR DARK ELDAR
	dark_eldar_hq						= "F",
	dark_eldar_haemonculus_laboratory			= "H",
	dark_eldar_hall_of_blood				= "B",
	dark_eldar_dark_foundry					= "D",
	dark_eldar_generator					= "P",
	dark_eldar_listening_post				= "L",
	dark_eldar_slave_caravel				= "V",
	dark_eldar_soul_cage					= "G",
	dark_eldar_thermo_generator				= "T",
	dark_eldar_wych_cult_arena				= "W",

	-- BUILDINGS FOR SISTERS
	sisters_hq						= "E",
	sisters_infantry					= "C",
	sisters_sanctuary					= "S",
	sisters_generator					= "P",
	sisters_thermo_generator				= "T",
	sisters_listening_post					= "L",
	sisters_vehicle_building				= "M",
	sisters_turret_flamer					= "F",
	sisters_holy_reliquary					= "R",
	sisters_shrine						= "H",
	sisters_mines						= "I",

	-- TROOPERS FOR MARINES
	marine_servitor						=	"S",
	marine_dreadnought				=	"D",
	marine_dreadnought_hellfire	=	"H",
	marine_force_commander		=	"F",
	marine_chaplain						=  "C",
	marine_grey_knights				=  "K",
	marine_land_speeder				=	"L",
	marine_librarian						=	"L",
	marine_skull_probe					=	"S",
	marine_scout							=	"M",
	marine_apothecary					=	"A",
	marine_assault_marine			=	"A",
	marine_sergeant						=	"S",
	marine_space_marine				=	"S",
	marine_terminator					=	"T",
	marine_assault_terminator		=	"R",	
	marine_land_raider					=	"R",
	marine_predator						=	"P",
	marine_rhino							=	"T",
	marine_whirlwind					=	"W",
	marine_techmarine					=	"T",
	marine_tempest						=	"E",


	-- TROOPERS FOR CHAOS
	chaos_bloodthirster			=	"B",
	chaos_cultist						=	"C",
	chaos_daemon_prince		=  "D",
	chaos_defiler						=	"D",
	chaos_horrors						=	"H",
	chaos_lord							=	"L",
	chaos_marines					=	"C",
	chaos_raptors						=	"R",
	chaos_possessed				=	"P",
	chaos_obliterator				=	"O",
	chaos_predator					=	"P",
	chaos_aspiring_champion	=	"C",
	chaos_rhino							=	"R",
	chaos_heretic						=	"H",
	chaos_sorcerer					=	"S",
	chaos_khorne_berserker	=  "K",
	chaos_dreadnought	=  "E",
	chaos_hell_talon	=  "H",


	-- TROOPERS FOR ORKS
	ork_flash_gitz			=  "G",
	ork_nobs					=	"Q",
	ork_shoota_boyz	=	"H",
	ork_slugga_boyz		=	"S",
	ork_stormboyz		=	"R",
	ork_tankbustas		=	"T",
	ork_grots					=	"G",
	ork_killa_kan			=	"K",
	ork_bad_dok			=	"B",
	ork_mek_boy			=	"B",
	ork_nob_leader		=	"L",
	ork_warboss			=	"W",
	ork_looted_tank		=	"L",
	ork_squiggoth			=	"S",
	ork_trukk					=	"T",	
	ork_wartrak				=	"W",
	ork_armored_nob	=  "M",
	ork_gun_wagon		= "G",
	ork_fighta_bomma	= "F",
	
	-- TROOPERS FOR ELDAR
	eldar_bonesinger							=	"B",
	eldar_grav_platform_laser				=	"S",
	eldar_grav_platform_brightlance	=	"B",
	eldar_avatar									=	"A",
	eldar_farseer									=	"F",
	eldar_harlequin								=  "H",
	eldar_warlock									=	"W",
	eldar_warlock_seer							=	"S",
	eldar_falcon_grav_tank					=	"T",
	eldar_fire_prism								=	"P",
	eldar_vyper						=	"V",
	eldar_wraithlord								=	"W",
	eldar_banshee								=	"H",
	eldar_banshee_exarch					=	"H",
	eldar_dark_reapers							=	"D",	
	eldar_dark_reaper_exarch				=	"D",
	eldar_guardians								=	"G",
	eldar_rangers									=	"R",
	eldar_warp_spiders						=	"W",		
	eldar_warp_spiders_exarch			=	"W",		
	eldar_fire_dragon					=	"G",	
	eldar_wraithguard			=	"G",
	eldar_nightwing				=	"N",


	-- TROOPERS FOR TAU
	tau_attack_drone							=	"A",
	tau_broadside_battlesuit				=  "B",
	tau_builder										=	"E",
	tau_centaur_auxiliary						=	"C",
	tau_commander								=	"C",
	tau_crisis_suit									=	"X",
	tau_devilfish_carrier						=  "C",
	tau_drone_harbinger						=	"D",
	tau_drone_squad							=	"R",
	tau_energy_auxiliary						=	"A",
	tau_eradicator									=	"R",
	tau_eradicator_kroot						=	"D",
	tau_ethereal									=	"E",
	tau_eviscerator								=	"V",
	tau_eviscerator_kroot						=	"C",
	tau_fire_warrior								=	"F",
	tau_fire_warrior_shasui					=	"L",
	tau_fire_warrior_shield_drone		=	"D",
	tau_glob_auxiliary							=	"G",
	tau_greater_knarloc						=	"G",
	tau_hammerhead							=	"H",
	tau_kroot_hound							=	"H",
	tau_kroot_shaper							=  "S",
	tau_kroot_warrior							=	"K",
	tau_krootox										=	"K",
	tau_pathfinder								=  "P",
	tau_skyray										=	"S",
	tau_stealth_warrior						=	"S",
	tau_vespid_auxiliary						=	"V",
	tau_piranha							=	"P",
	tau_barracuda							=	"B",
	
	-- TROOPERS FOR NECRONS
	necron_attack_scarab						=	"A",
	necron_builder_scarab					=	"S",
	necron_destroyer							=	"D",
	necron_flayed_one							=	"F",
	necron_heavy_destroyer				=	"H",
	necron_immortal								=	"I",	
	necron_lord										=	"L",
	necron_lord_destroyer					=	"O",
	necron_pariah									=	"P",
	necron_restored_monolith				=	"M",
	necron_tomb_spyder						=	"T",
	necron_warrior								=	"N",
	necron_wraith									=	"W",
	necron_deceiver						=	"D",

	-- TROOPERS FOR IMPERIAL GUARD
	guard_enginseer						=	"E",
	guard_guardsmen				    		=	"G",
	guard_heavy_weapon          				=	"H",
	guard_command_squad					=	"C",
	guard_commissar						=	"C",
	guard_priest						=	"P",
   	guard_psyker						=	"Y",
	guard_kasrkin						=	"K",
	guard_ogryn						=	"O",
	guard_basilisk						=	"B",
	guard_sentinel						=	"E",
	guard_hellhound						=	"H",
	guard_assassin						=	"A",
	guard_baneblade						=	"B",
	guard_leman_russ					=	"L",
	guard_chimera						=	"C",
	guard_sergeant						=	"S",
	guard_demolisher					=	"D",
	guard_marauder						=	"M",

	
	-- TROOPERS FOR DARK ELDAR
	dark_eldar_slave					= 	"V",
	dark_eldar_mandrake					=	"M",
	dark_eldar_archon					=	"A",
	dark_eldar_incubus					=	"I",
	dark_eldar_warrior					=	"W",
	dark_eldar_hellion					=	"H",
	dark_eldar_scourge					=	"G",
	dark_eldar_warp_beast					=	"B",
	dark_eldar_wych						=	"H",
	dark_eldar_haemonculus					=	"H",
	dark_eldar_reaver					=	"V",
	dark_eldar_raider					=	"R",
	dark_eldar_talos					=	"T",
	dark_eldar_ravager					=	"G",
	dark_eldar_dais						=	"D",
	dark_eldar_squad_leader					=	"L",
	dark_eldar_murdered_slave				=	"D",
	dark_eldar_raven					=	"A",


	-- TROOPERS FOR SISTERS
	sisters_servitor					=	"S",
	sisters_battle_sister					=	"B",
	sisters_seraphim					=	"S",
	sisters_repentia					=	"R",
	sisters_celestian					=	"E",
	sisters_missionary					=	"M",
	sisters_assassin					=	"A",
	sisters_canoness					=	"C",
	sisters_confessor					=	"C",
	sisters_celestian_imagifer				=	"I",
	sisters_repentia_mistress				=	"M",
	sisters_veteran_superior				=	"E",
	sisters_veteran_superior_celestian			=	"E",
	sisters_veteran_superior_seraphim			=	"E",
	sisters_living_saint					=	"S",
	sisters_exorcist_tank					=	"E",
	sisters_immolator_tank					=	"I",
	sisters_penitent_engine					=	"P",
	sisters_rhino						=	"R",
	sisters_lightning					=	"L",

	-- WEAPON UPGRADES FOR MARINES
	marine_assault_cannon	=	"C",
	marine_flamer					=	"F",
	marine_heavy_flamer		=	"F",
	marine_heavy_bolter		=	"H",
	marine_lascannon_1		=	"L",
	marine_lascannon_2		=	"S",
	marine_lascannon_twin	=	"W",
	marine_missile_launcher	=	"M",
	marine_plasma_gun		=	"P",
	marine_sniper_rifle			=	"I",
	marine_missile_launcher_turret = "U",
	marine_power_halberd		=  "P",
	marine_missile_frag		= "F",
	marine_missile_krak		= "K",


	-- WEAPON UPGRADES FOR CHAOS 	
	chaos_flamer						=	"F",
	chaos_heavy_flamer			=	"F",
	chaos_grenade_launcher	=	"N",
	chaos_heavy_bolter			=	"H",
	chaos_lascannon_1				=	"L",
	chaos_lascannon_2				=	"L",
	chaos_lascannon_twin		=	"W",
	chaos_missile_launcher		=	"M",
	chaos_plasma_gun				=	"P",
	chaos_missile_launcher_turret = "U",
	chaos_multi_melta			=	"M",
	
	-- WEAPON UPGRADES FOR ORKS
	ork_big_shoota					=	"S",
	ork_kustom_shoota			=	"S",
	ork_bomb_chucka				=	"C",
	ork_burna							=	"B",
	ork_mega_blasta				=	"M",
	ork_power_klaw					=	"K",
	ork_rokkit_launcha				=	"K",
	ork_rokkit_launcha_twin		=	"W",
	ork_shoota							=	"S",
	ork_zzzap_gun					=	"P",
		
	-- WEAPON UPGRADES FOR GUARD
	guard_grenade_launcher								=	"N",
	guard_plasma_gun							=	"P",
	guard_lasgun_heavy_weapons_team 			=	"S",
	guard_autocannon_heavy_weapons_team	=	"C",
	guard_multi_melta			=	"M",
	guard_multi_laser_sentinel		=	"M",
	guard_autocannon_sentinel		=	"C",

	-- WEAPON UPGRADES FOR ELDAR
	eldar_bright_lance			=	"B",
	eldar_dcannon				=	"C",
	eldar_missile_launcher	=	"M",
	eldar_scatter_laser			=	"S",
	eldar_shuriken_cannon	=	"S",
	eldar_starcannon			=	"S",
	eldar_witchblade_seercouncil			= "W",

	-- WEAPON UPGRADES FOR TAU
	tau_flamer_commander							=	"F",
	tau_missile_launcher_commander			=	"M",
	tau_plasma_rifle_commander					=	"P",
	tau_missile_launcher_crisis_suit				=  "M",
	tau_flamer_crisis_suit								=  "F",
	tau_stealth_suit_fusion_blaster				=  "P",
	
	-- WEAPON UPGRADES FOR NECRONS	
	necron_tomb_spyder_particle_projector		= "P",
	
-- WEAPON UPGRADES FOR DARK ELDAR
	dark_eldar_darklance_raider		=	"D",
	dark_eldar_darklance_scourge		=	"D",
	dark_eldar_disintegrator_ravager	=	"D",

	--WEAPON UPGRADES FOR SISTERS
	sisters_flamer				=	"F",
	sisters_heavy_bolter			=	"H",
	sisters_chainsword			=	"C",
	sisters_multi_melta			=	"M",
	sisters_meltagun			=	"G",

	-- RESEARCH FOR MARINES
	marine_accuracy_research_1					=	"T",
	marine_accuracy_research_2					=	"T",
	marine_force_commander_research_1	=	"F",
	marine_force_commander_research_2	=	"F",
	marine_daemon_hammer_research		=	"D",
	marine_frag_grenade_research				=	"G",
	marine_health_research_1						=	"B",
	marine_health_research_2						=	"B",
   	marine_commander_health_research_1	=	"P",
	marine_commander_health_research_2	=	"P",
	marine_librarian_research_1					=	"W",
	marine_librarian_research_2					=	"K",
	marine_max_weapons_research			=	"D",
	marine_melta_bomb_research				=	"M",
	marine_power_research_1						=	"U",
	marine_power_research_2						=	"U",	
	marine_requisition_research_1				=	"E",
	marine_requisition_research_2				=	"E",
	marine_scout_infiltration_research			=	"O",
	marine_sniper_rifle_research								=  "T",
	marine_smoke_launcher_research			=	"S",		
	marine_squad_cap_research					=	"I",		
	marine_vehicle_cap_research					=	"V",
	marine__melee_research_1					=	"P",
	marine_sergeant_melee_research_2		=	"P",		
	marine_sergeant_ranged_research		=	"L",
	marine_personalteleporter_research		=	"P",
	marine_heavy_armor_deployment			=  "U",
	marine_furious_charge_research			=	"F",
	marine_power_swords_research			= 	"W",
	marine_skull_probe_infiltration_research = "P",
	
	-- RESEARCH FOR CHAOS
	chaos_purge_the_weak							=  "G",
	chaos_ranged_research_1						=	"R",
	chaos_cultist_sight_research					=  "S",
	chaos_lord_research_1							=	"W",
	chaos_lord_research_2							=	"C",
	chaos_frag_grenade_research				=	"F",
	chaos_health_research_1						=	"H",
	chaos_health_research_2						=	"H",
	chaos_commander_health_research_1	=	"R",
	chaos_commander_health_research_2	=	"R",
	chaos_sorcerer_research_1					=	"I",
	chaos_sorcerer_research_2					=	"I",
	chaos_max_weapons_research				=	"D",
	chaos_power_research_1						=	"U",
	chaos_power_research_2						=	"U",	
	chaos_requisition_research_1				=	"E",
	chaos_requisition_research_2				=	"E",
	chaos_infiltration_research						=	"I",
	chaos_marine_infiltration_research		=	"M",
	chaos_smoke_launcher_research			=	"S",		
	chaos_squad_cap_research					=	"I",		
	chaos_vehicle_cap_research					=	"V",		
	chaos_champion_melee_research_1		=	"P",
	chaos_champion_melee_research_2		=	"P",		
	chaos_champion_ranged_research			=	"L",	
	chaos_furious_charge_research				=	"F",	
	chaos_raptor_speed_research				=	"J",
	chaos_accuracy_upgrade_research_1	=	"G",
	chaos_accuracy_upgrade_research_2	=	"G",
	chaos_personalteleporters						=	"P",
	chaos_possessed_daemon_fire_research 			= "F",
	chaos_possessed_daemon_flight_research 		= "A",
	chaos_possessed_daemon_mutation_research = "M",
	chaos_possessed_daemon_talons_research 	= "T",
	chaos_projectiles 									= "U",
	chaos_rage_research								=  "R",
	chaos_bloodthirster_research			= "B",
	chaos_daemon_prince_research			= "D",


	-- RESEARCH FOR ORKS
	ork_big_squad_research							=	"B",
	ork_big_shoota_research						=	"L",
	ork_burna_research								=	"B",
	ork_eavy_armour_research					=	"V",
	ork_extra_armour_research					=	"E",
	ork_mega_blasta_research						=	"M",
	ork_mekboy_melee_research					=	"M",
	ork_mekboy_ranged_research				=	"R",
	ork_morechoppy_research_1					=	"C",
	ork_morechoppy_research_2					=	"C",
	ork_moredakka_research_1					=	"D",
	ork_moredakka_research_2					=	"D",
	ork_moreshooty_research_1					=	"S",
	ork_moreshooty_research_2					=	"S",
	ork_powerclaw_research						=	"O",	
	ork_rokkit_research								=	"B",
	ork_tougherorks_research_1					=	"T",
	ork_tougherorks_research_2					=	"T",
	ork_warboss_ranged_research				=	"W",		
	ork_tougherbosses_research_1				=	"G",
	ork_tougherbosses_research_2				=	"G",
	ork_kustom_force_field_research			=	"F",
	ork_tankbustin_kit_research					=	"A",
	ork_kustom_tellyporta_research				=	"L",
	ork_eavy_armor_boyz_research				=	"V",
	ork_speed_boost_research					=	"H",
	ork_speed_boost_stormboyz_research	=	"O",
	ork_waaaaagh_research						=	"W",
	ork_research_stikk_bombs						=	"K",
	ork_power_research_1							=	"U",
	ork_power_research_2							=	"U",
	ork_requisition_research_1						=	"E",
	ork_requisition_research_2						=	"E",
	ork_research_grot_infiltration 				= "I",
	ork_research_tankbustabombs 				= "M",
	ork_research_more_sluggas					= "M",
	ork_tankbusta_infiltration_research		= "T",

	-- RESEARCH FOR ELDAR
	eldar_ability_research						=	"A",
	eldar_accuracy_research					=	"A",
	eldar_exarch_ability_research_1	=	"C",
	eldar_exarch_ability_research_2	=	"O",
	eldar_farseer_ability_research_1	=	"F",
	eldar_farseer_ability_research_2	=	"S",
	eldar_farseer_ability_research_3	=	"S",
	eldar_health_research					=	"H",
	eldar_vehicle_ability_research		=	"H",
	eldar_warlock_ability_research_1	=	"C",
	eldar_warlock_ability_research_2	=	"E",
	eldar_warlock_ability_research_3	=	"W",
	eldar_shroud_ability_research		=	"D",
	eldar_fleet_of_foot_research 			= "F",
	eldar_bonesinger_ability_research_3 = "W",
	eldar_ranger_infiltration_research 		= "M",
	eldar_haywire_grenade_research 		= "S",
	webway_gate_healing_research 		= "H",
	eldar_webway_gate_relocation_research = "R",
	eldar_plasma_grenade_research 				= "P",
	eldar_bonesinger_ability_research_1 		= "T",
	eldar_power_research_1 			= "P",
	eldar_power_research_2 			= "P",
	eldar_requisition_research_1 		= "E",
	eldar_requisition_research_2 		= "E",
	eldar_tier2_research 					= "U",
	eldar_research_farseerhealth_1 = "H",
	eldar_research_farseerhealth_2 = "H",
	eldar_research_infantryaccuracy_1 = "G",
	eldar_research_infantryaccuracy_2 = "G",
	eldar_researchinfantryhealth_1 = "A",
	eldar_researchinfantryhealth_2 = "A",
	eldar_annihilate_the_enemy = "U",
	eldar_nightwing_regen_research = "R",

	-- RESEARCH FOR TAU
	tau_power_research_1							=	"P",
	tau_power_research_2							=	"P",
	tau_requisition_research_1					=	"E",
	tau_requisition_research_2					=	"E",
	tau_teachings_of_kauyon						=	"T",
	tau_teachings_of_montka						=	"T",
	tau_target_lock										=	"T",
	tau_advanced_pulse_rifles						=  "A",
	tau_improved_metallurgy						=  "I",
	tau_targeting_optics								= 	"O",
	tau_missile_barrage								= 	"M",
	tau_feral_leap											=	"F",
	tau_jetpacks											=  "J",
	tau_burst_cannon_enhancements			= 	"B",
	
	
	-- RESEARCH FOR NECRONS
	necron_power_research_1							=	"P",
	necron_power_research_2							=	"P",
	necron_chronometron_research					=	"C",
	necron_lightning_field_research					=	"L",
	necron_nightmare_shroud_research			=	"N",
	necron_phase_shifter_research					=	"P",
	necron_phalactery_research						=	"Y",
	necron_resurrection_orb_research				=	"R",
	necron_solar_pulse_research						=	"S",
	necron_veil_of_darkness_research				=	"V",
	necron_wraith_flight_research					=	"W",
	necron_warrior_disruption_field_research	=	"D",
	necron_nightbringer_research					=	"N",
	necron_deceiver_research			=	"D",
	necron_ctan_research				=	"C",
	
	
	-- RESEARCH FOR GUARD
	guard_guardsman_morale						=	"M",
	guard_guardsman_morale_2					=	"O",
	guard_research_command_squad_size	=	"C",
	guard_research_kasrkin_armor				=	"K",
	guard_research_kasrkin_speed				=	"S",
	guard_upgrade_guardsmen_health		=	"H",
	guard_upgrade_guardsmen_range		=	"R",
	guard_upgrade_ogryn_melee					=	"G",
	guard_upgrade_power_1						=	"P",
	guard_upgrade_power_2						=	"P",
	guard_upgrade_requisition_1					=	"R",
	guard_upgrade_requisition_2					=	"R",
	guard_upgrade_weapon_specialization	=  "W",
	guard_full_scale_war 								=  "U",
	guard_research_sentinel_armor					=	"S",
	guard_research_assassin_infiltrate				=	"I",
	
-- RESEARCH FOR DARK ELDAR
	dark_eldar_research_crucible				=	"R",
	dark_eldar_research_gruesome_display			=	"G",
	dark_eldar_research_infiltration_mandrake		=	"I",
	dark_eldar_research_short_circuit			=	"C",
	dark_eldar_research_soulharvest				=	"G",
	dark_eldar_research_terrorfex_grenade			=	"T",
	dark_eldar_research_scythes				=	"C",
	dark_eldar_research_poisoned_blades			=	"B",
	dark_eldar_research_soul_destruction			=	"U",
	dark_eldar_research_talisman_of_petrification		=	"E",
	dark_eldar_research_barbed_walls			=	"B",
	dark_eldar_research_daemonic_touch			=	"D",
	dark_eldar_research_range_increase			=	"R",
	dark_eldar_research_wildfire				=	"W",
	dark_eldar_research_reaver_targeting			=	"T",
	dark_eldar_upgrade_power_1				=	"P",
	dark_eldar_upgrade_power_2				=	"P",
	dark_eldar_upgrade_requisition_1			=	"R",
	dark_eldar_upgrade_requisition_2			=	"R",
	dark_eldar_upgrade_soulseeker				=	"U",
	dark_eldar_upgrade_power_scythe				=	"M",
	dark_eldar_upgrade_agonizer				=	"M",
	dark_eldar_upgrade_vehicle_armor			=	"I",			
	dark_eldar_upgrade_destructor				=	"E",
	dark_eldar_upgrade_commander_health			=	"H",
	dark_eldar_upgrade_retinue				=	"I",
	dark_eldar_upgrade_infantry_health			=	"E",


	-- RESEARCH FOR SISTERS
	sisters_research_martyrs_gift				=	"G",
	sisters_research_lay_hands				=	"L",
	sisters_research_faithful_morale			=	"H",
	sisters_research_phosphor_grenades			=	"G",
	sisters_research_krak_grenades				=	"K",
	sisters_research_laud_hailer				=	"H",
	sisters_research_max_weapons				=	"D",
	sisters_research_zealot_charge				=	"Z",
	sisters_research_health					=	"C",
	sisters_research_ranged_damage				=	"Y",
	sisters_research_leader_melee_1				=	"P",
	sisters_research_leader_melee_2				=	"P",
	sisters_research_blessed_ammunition			=	"B",
	sisters_research_leader_range				=	"I",
	sisters_research_vehicle_armor				=	"U",
	sisters_research_holy_promethium			=	"H",
	sisters_research_commander_health_1			=	"P",
	sisters_research_commander_health_2			=	"P",
	sisters_research_ascension				=	"C",
	sisters_research_battle_standard			=	"S",
	sisters_research_divine_pronouncement			=	"D",
	sisters_research_conflagration				=	"C",
	sisters_research_emperors_touch				=	"P",
	sisters_research_divine_retribution			=	"E",
	sisters_upgrade_power_1					=	"P",
	sisters_upgrade_power_2					=	"P",
	sisters_upgrade_requisition_1				=	"R",
	sisters_upgrade_requisition_2				=	"R",
	sisters_upgrade_heart_of_worship			=	"H",
	sisters_squad_cap				=	"I",
	sisters_vehicle_cap		=	"V",
	
	-- ADDONS FOR MARINES
	marine_hq_addon_1			=	"U",
	marine_hq_addon_2			=	"U",
	marine_listening_post_1		=	"U",
	marine_listening_post_2		=	"U",
	marine_turret_addon			=	"U",
	
	-- ADDONS FOR CHAOS
	chaos_hq_addon_1						=	"U",
	chaos_hq_addon_2						=	"U",
	chaos_listening_post_1				=	"U",
	chaos_listening_post_2				=	"U",
	chaos_turret_addon					=	"U",
		
	-- ADDONS FOR ELDAR
	eldar_banshee_aspect_stone			=	"H",
	eldar_dark_reaper_aspect_stone	=	"D",
	eldar_fire_prism_aspect_stone		=	"F",
	eldar_fire_dragon_aspect_stone	=	"G",
	eldar_vyper_aspect_stone				=	"V",
	eldar_warp_spider_aspect_stone	=	"W",
	eldar_wraithlord_aspect_stone		=	"W",
	eldar_support_platform_addon		=	"U",
	eldar_listening_post_1					=	"U",
	eldar_listening_post_2					=	"U",
	eldar_wraithguard_aspect_stone		=  "G",

	-- ADDONS FOR TAU
	addon_tau_hq_1									=	"C",
	addon_tau_list_post_1						=	"U",
	addon_tau_list_post_2						=	"U",

	-- ADDONS FOR NECRONS
	addon_necron_turret							=	"U",
	addon_necron_list_post_1					=	"U",
	addon_necron_hq_1							=	"U",
	addon_necron_hq_2							=	"U",
	
	-- ADDONS FOR ORKS
	ork_hq_addon										=	"U",
	ork_waagh_banner_gunz_1				=	"U",
	ork_waagh_banner_gunz_2				=	"U",
	ork_waagh_banner_orkcap				=	"U",
	ork_waagh_banner_popgrowth			=	"U",
	ork_waagh_banner_supportgrowth	=	"U",	
	ork_listening_post_1							=	"U",
	ork_listening_post_2							=	"U",

	-- ADDONS FOR IMPERIAL GUARD
	addon_guard_basilisk_depot				=	"B",
	addon_guard_heavy_weapon_vault	=	"H",
	addon_guard_hellhound_depot			=	"H",
	addon_guard_hq_1								=	"H",
	addon_guard_hq_2								=  "H",
	addon_guard_kasrkin_quarters			=	"K",
	addon_guard_leman_russ_depot		=	"L",
	addon_guard_list_post_1					=	"U",
	addon_guard_list_post_2					=	"U",
	addon_guard_ministorum_temple		=  "M",
	addon_guard_ogryn_quarters			=  "O",
	addon_guard_sentinel_depot				=  "E",
	addon_guard_telepathica_temple		=  "T",
	addon_guard_vindicare_temple			=  "V",
	guard_turret_addon			=  "U",
	addon_guard_demolisher_depot		=  "D",

-- ADDONS FOR DARK ELDAR
	addon_dark_eldar_list_post_1		=	"U",
	addon_dark_eldar_list_post_2		=	"U",
	addon_dark_eldar_piercing_vision	=	"I",
	addon_dark_eldar_rend_soul		=	"R",
	addon_dark_eldar_sadism			=	"A",
	addon_dark_eldar_penumbra		=	"P",
	addon_dark_eldar_nights_veil		=	"N",
	addon_dark_eldar_screams_of_the_damned	=	"S",
	addon_dark_eldar_sudden_strike		=	"U",
	addon_dark_eldar_slave_graveyard	=	"T",
	addon_dark_eldar_hq_upgrade		=	"U",
	addon_dark_eldar_list_post_dark_lance	=	"D",


	-- ADDONS FOR SISTERS
	addon_sisters_list_post_1		=	"U",
	addon_sisters_list_post_2		=	"U",
	addon_sisters_holy_icon			=	"H",
	addon_sisters_hq_1			=	"U",
	addon_sisters_hq_2			=	"U",
	addon_sisters_turret			=	"U",
	
	-- ABILITIES FOR MARINES
	marine_battlecry							=	"B",
	marine_demoralize						=	"D",	
	marine_frag_grenades				=	"G",
	marine_machine_spirit				=	"M",
	marine_melta_bombs					=	"M",
	marine_orbital_bombardment		=	"O",
	marine_rally									=	"Y",	
	marine_sabotage						=	"S",
	marine_smite								=	"E",
	marine_smoke_launchers			=	"S",	
	marine_weaken_resolve				=	"K",
	marine_word_of_emperer			=	"W",
	marine_inquisition						=  "I",
	marine_blessing_of_the_omnissiah		=  "B",
	
	-- ABILITIES FOR CHAOS
	chaos_chains						=	"C",
	chaos_corruption					=	"O",
	chaos_daemon_strength	=	"D",
	chaos_daemon_roar			=  "R",
	chaos_doom_bolt				=	"D",
	chaos_force_labor				=	"F",
	chaos_frag_grenades			=	"G",	
	chaos_furious_rage				=	"B",
	chaos_smoke_launchers		=	"S",
	chaos_speed_fiends			=	"S",
	chaos_tainted_auspex		=  "N",
	chaos_rage							=  "R",
	chaos_blood_rage		=  "B",
	chaos_biotoxin			=  "B",

	-- ABILITIES FOR ELDAR
	eldar_bonesong					=	"O",
	eldar_eldritch_storm			=	"E",
	eldar_psychic_storm			=	"C",
	eldar_embolden					=	"B",
	eldar_entanglement			=	"N",
	eldar_fleetoffoot					=	"F",	
	eldar_fortune						=	"F",
	eldar_graviticboost				=	"G",
	eldar_haywire_bombs			=	"H",
	eldar_guide							=	"G",
	eldar_mind_war					=	"M",
	eldar_plasma_grenades		=	"P",
	eldar_warshout					=	"W",
	eldar_wraithtomb				=	"W",	
	eldar_shroud_ability			=	"D",
	eldar_harlequin_kiss			=  "K",
	eldar_soulstone					=	"S",

	-- ABILITIES FOR TAU
	tau_devour							=	"D",
	tau_hamstring						=	"S",
	tau_sonic_pulse					=	"S",
	tau_target_acquired			=	"G",
	tau_mark_squad	                =  "M",
	tau_emp_grenade			    =  "E",
	tau_photon_grenade          =  "G",
	tau_missile_barrage			=  "B",
	tau_canabalism					=  "C",
	tau_entrench						=  "E",
	tau_ion_shield						=  "S",

	-- ABILITIES FOR NECRONS
	necron_nightmare_shroud	=	 "N",
	necron_phase_shifter			=	 "H",
	necron_solar_pulse				=	 "P",
	necron_doom						=  "D",
	necron_chronometron			=  "C",
	necron_mass_resurrection  =  "M",
	necron_deceive			= "D",
	necron_grand_illusion		= "I",
	necron_misdirect		= "J",
	necron_possess_nightbringer	= "I",
	necron_possess_deceiver		= "D",
	
	-- ABILITIES FOR ORKS
	ork_fightabomba_strafe		=	"F",
	ork_fightin_juice					=	"F",
	ork_gimme_boyz_mek			=	"M",
	ork_gimme_boyz_warboss	=	"W",
	ork_pop_growth					=	"P",
	ork_power_of_waagh			=	"W",	
	ork_stikkbombs					=	"O",
	ork_tankbusta_bombs		=	"B",
	ork_superstik_bomb			= "M",
	ork_turbo_boost					=	"B",
	ork_waaaaagh					=	"A",
	ork_tank_zzappa				= "P",
	ork_power_surge				= "P",

	-- ABILITIES FOR IMPERIAL GUARD
	guard_assassin_assassinate		=	"S",
	earthshaker_round						=	"E",
	guard_commissar_execute			=	"E",
	guard_kasrkin_frag_grenades	=	"X",
	guard_priest_fanatical				=	"F",
	guard_psyker_lighting_arc			=	"L",	
	guard_psyker_strip_soul				=	"S",
	guard_strafing_run						=	"T",
	guard_let_it_burn						=  "B",
	guard_long_range_scanner		= "S",
	guard_curse_of_the_machine		= "C",
	guard_incendiary_bombs			= "I",
	guard_emp_bombs				= "E",
	guard_smoke_bombs			= "S",
	guard_krak_bombs			= "K",

	-- ABILITIES FOR DARK ELDAR
	dark_eldar_animus_vitae			=	"N",
	dark_eldar_combat_drugs			=	"D",
	dark_eldar_crucible			=	"R",
	dark_eldar_darklance_sweep		=	"D",
	dark_eldar_execute_slave		=	"E",
	dark_eldar_gruesome_display		=	"G",
	dark_eldar_talisman_of_petrification    = 	"E",
	dark_eldar_horrorfex			=	"H",
	dark_eldar_short_circuit		=  	"H",
	dark_eldar_stinger			=  	"G",
	dark_eldar_tame_warp_beasts		=	"T",
	dark_eldar_terrorfex			=  	"F",
	dark_eldar_torture_amp			=	"M",
	dark_eldar_wildfire			=	"W",
	dark_eldar_soul_shock			=	"U",
	dark_eldar_tracking_device		=	"T",
	dark_eldar_soul_destruction		=	"U",
	dark_eldar_haywire_bombs		=	"H",
	dark_eldar_piercing_vision		=	"X",
	dark_eldar_screams_of_the_damned	=	"S",
	dark_eldar_rend_soul			=	"O",
	dark_eldar_corrosion			=	"C",
	dark_eldar_war_frenzy			=	"F",
	dark_eldar_rekindle_rage		=	"K",
	dark_eldar_harvest_souls		=	"H",
	dark_eldar_soulstorm			=	"Y",


	-- ABILITIES FOR SISTERS
	sisters_ascension			=	"C",
	sisters_divine_light			=	"D",
	sisters_divine_retribution		=	"D",
	sisters_emperors_touch			=	"P",
	sisters_holy_passion			=	"H",
	sisters_ardent_flame			=	"F",
	sisters_battle_standard			=	"S",
	sisters_lay_hands			=	"Y",
	sisters_conflagration			=	"C",
	sisters_divine_pronouncement		=	"D",
	sisters_hk_missiles			=	"M",
	sisters_holy_rage			=	"R",
	sisters_krak_grenades			=	"K",
	sisters_mandate				=	"E",
	sisters_phosphor_grenades		=	"G",
	sisters_righteous_fervor		=	"F",
	sisters_seal_of_purity			=	"S",
	sisters_witch_hammer			=	"W",
	sisters_worship				=	"W",
	sisters_rosarius			=	"O",
	sisters_laud_hailer			=	"H",
	sisters_angelic_visage			=	"G",
	sisters_dismantle			=	"D",

	--Entity attack range
	attack					= 	"A",
	
	}